changeset 148:fb0267e87240

new import of postgres-8.4.0
author holger
date Fri, 10 Jul 2009 18:34:34 +0200
parents 800c31c752cf
children 0f0eee037856
files dev-db/postgresql-base/Manifest dev-db/postgresql-base/files/postgresql-8.4-base.patch dev-db/postgresql-base/files/postgresql-8.4-common.patch dev-db/postgresql-base/metadata.xml dev-db/postgresql-base/postgresql-base-8.4.0.ebuild dev-db/postgresql-docs/Manifest dev-db/postgresql-docs/metadata.xml dev-db/postgresql-docs/postgresql-docs-8.4.0.ebuild dev-db/postgresql-server/Manifest dev-db/postgresql-server/files/postgresql-8.4-common.patch dev-db/postgresql-server/files/postgresql-8.4-server.patch dev-db/postgresql-server/files/postgresql.conf-8.4 dev-db/postgresql-server/files/postgresql.init-8.4 dev-db/postgresql-server/postgresql-server-8.4.0.ebuild virtual/postgresql-base/Manifest virtual/postgresql-base/metadata.xml virtual/postgresql-base/postgresql-base-8.4.ebuild virtual/postgresql-server/Manifest virtual/postgresql-server/metadata.xml virtual/postgresql-server/postgresql-server-8.4.ebuild
diffstat 20 files changed, 1158 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/Manifest	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,5 @@
+AUX postgresql-8.4-base.patch 4673 RMD160 414aa67067a9e7f39a0d674d1bb97d592022cce2 SHA1 7b03968e1301c124d73fe38d7a411efe8ed7b50f SHA256 c1647545a7c2af3164df839f6aa967e8f5a8eb7bf6f1a31d1a16a74c6b2f2f05
+AUX postgresql-8.4-common.patch 2058 RMD160 14e61a791fb1deaa327f90d207526fabfa35c4de SHA1 315543042274e3802f429fefe83568e8801078f3 SHA256 03b613fcb816b455eb92708e8095b8a0685f4c6992f90288295e1c6193af70b4
+DIST postgresql-8.4.0.tar.bz2 13839282 RMD160 7b0a3b6d6c6c67479a1de2d8a3efb3a27e50fe2e SHA1 7a4776155049b8343f3b3b2e071002bb9db47f44 SHA256 84bf53b4a45db4fdf875bb03bf247f29dcb97f8bda42839b00b73671df05e007
+EBUILD postgresql-base-8.4.0.ebuild 4617 RMD160 7fd7c93d52332ebd1ab69537388b5f5971040cf4 SHA1 7d05af356f57b91f09b068aad1f616477d6514f9 SHA256 38d1897cdbf7a9fc9c780546ed7b0494d195e087947455ef99cd2c29ff028caf
+MISC metadata.xml 329 RMD160 3b8f9c5e1c05696380c649d2f4f6eb3f1d3b688b SHA1 d7d9e8fbd6a509c5016fc764ccc4239af8feb5b8 SHA256 d9eed0f3b1f204ace8472c343d526d6c949124b5fe5ab8174b2e555712b3e831
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/files/postgresql-8.4-base.patch	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,142 @@
+diff -Naur postgresql-8.4.0.orig/contrib/Makefile postgresql-8.4.0/contrib/Makefile
+--- postgresql-8.4.0.orig/contrib/Makefile	2009-03-26 00:20:01.000000000 +0100
++++ postgresql-8.4.0/contrib/Makefile	2009-07-09 21:17:38.000000000 +0200
+@@ -5,46 +5,10 @@
+ include $(top_builddir)/src/Makefile.global
+ 
+ WANTED_DIRS = \
+-		adminpack	\
+-		auto_explain	\
+-		btree_gin	\
+-		btree_gist	\
+-		chkpass		\
+-		citext		\
+-		cube		\
+-		dblink		\
+-		dict_int	\
+-		dict_xsyn	\
+-		earthdistance	\
+-		fuzzystrmatch	\
+-		hstore		\
+-		intagg		\
+-		intarray	\
+-		isn		\
+-		lo		\
+-		ltree		\
+ 		oid2name	\
+-		pageinspect	\
+-		pg_buffercache	\
+-		pg_freespacemap \
+-		pg_standby	\
+-		pg_stat_statements \
+-		pg_trgm		\
+ 		pgbench		\
+-		pgcrypto	\
+-		pgrowlocks	\
+-		pgstattuple	\
+-		seg		\
+-		spi		\
+-		tablefunc	\
+-		test_parser	\
+-		tsearch2	\
+ 		vacuumlo
+ 
+-ifeq ($(with_openssl),yes)
+-WANTED_DIRS += sslinfo
+-endif
+-
+ ifeq ($(with_ossp_uuid),yes)
+ WANTED_DIRS += uuid-ossp
+ endif
+diff -Naur postgresql-8.4.0.orig/src/backend/Makefile postgresql-8.4.0/src/backend/Makefile
+--- postgresql-8.4.0.orig/src/backend/Makefile	2009-01-01 18:23:34.000000000 +0100
++++ postgresql-8.4.0/src/backend/Makefile	2009-07-09 21:22:13.000000000 +0200
+@@ -36,7 +36,7 @@
+ 
+ ##########################################################################
+ 
+-all: submake-libpgport postgres $(POSTGRES_IMP)
++all: someheaders
+ 
+ ifneq ($(PORTNAME), cygwin)
+ ifneq ($(PORTNAME), win32)
+@@ -105,7 +105,7 @@
+ endif # aix
+ 
+ # Update the commonly used headers before building the subdirectories
+-$(SUBDIRS:%=%-recursive): $(top_builddir)/src/include/parser/gram.h $(top_builddir)/src/include/utils/fmgroids.h $(top_builddir)/src/include/utils/probes.h
++someheaders $(SUBDIRS:%=%-recursive): $(top_builddir)/src/include/parser/gram.h $(top_builddir)/src/include/utils/fmgroids.h $(top_builddir)/src/include/utils/probes.h
+ 
+ 
+ # The postgres.o target is needed by the rule in Makefile.global that
+@@ -161,23 +161,7 @@
+ 
+ ##########################################################################
+ 
+-install: all installdirs install-bin
+-ifeq ($(PORTNAME), cygwin)
+-ifeq ($(MAKE_DLL), true)
+-	$(INSTALL_DATA) libpostgres.a '$(DESTDIR)$(libdir)/libpostgres.a'
+-endif
+-endif
+-ifeq ($(PORTNAME), win32)
+-ifeq ($(MAKE_DLL), true)
+-	$(INSTALL_DATA) libpostgres.a '$(DESTDIR)$(libdir)/libpostgres.a'
+-endif
+-endif
+-	$(MAKE) -C catalog install-data
+-	$(MAKE) -C tsearch install-data
+-	$(INSTALL_DATA) $(srcdir)/libpq/pg_hba.conf.sample '$(DESTDIR)$(datadir)/pg_hba.conf.sample'
+-	$(INSTALL_DATA) $(srcdir)/libpq/pg_ident.conf.sample '$(DESTDIR)$(datadir)/pg_ident.conf.sample'
+-	$(INSTALL_DATA) $(srcdir)/utils/misc/postgresql.conf.sample '$(DESTDIR)$(datadir)/postgresql.conf.sample'
+-	$(INSTALL_DATA) $(srcdir)/access/transam/recovery.conf.sample '$(DESTDIR)$(datadir)/recovery.conf.sample'
++install:
+ 
+ install-bin: postgres $(POSTGRES_IMP) installdirs
+ 	$(INSTALL_PROGRAM) postgres$(X) '$(DESTDIR)$(bindir)/postgres$(X)'
+diff -Naur postgresql-8.4.0.orig/src/bin/Makefile postgresql-8.4.0/src/bin/Makefile
+--- postgresql-8.4.0.orig/src/bin/Makefile	2009-01-01 18:23:53.000000000 +0100
++++ postgresql-8.4.0/src/bin/Makefile	2009-07-09 21:27:09.000000000 +0200
+@@ -13,8 +13,8 @@
+ top_builddir = ../..
+ include $(top_builddir)/src/Makefile.global
+ 
+-DIRS = initdb pg_ctl pg_dump \
+-	psql scripts pg_config pg_controldata pg_resetxlog
++DIRS = pg_dump \
++	psql scripts pg_config
+ ifeq ($(PORTNAME), win32)
+ DIRS+=pgevent
+ endif
+diff -Naur postgresql-8.4.0.orig/src/include/pg_config_manual.h postgresql-8.4.0/src/include/pg_config_manual.h
+--- postgresql-8.4.0.orig/src/include/pg_config_manual.h	2009-06-11 16:49:08.000000000 +0200
++++ postgresql-8.4.0/src/include/pg_config_manual.h	2009-07-09 21:27:44.000000000 +0200
+@@ -146,7 +146,7 @@
+  * here's where to twiddle it.  You can also override this at runtime
+  * with the postmaster's -k switch.
+  */
+-#define DEFAULT_PGSOCKET_DIR  "/tmp"
++#define DEFAULT_PGSOCKET_DIR  "/var/run/postgresql"
+ 
+ /*
+  * The random() function is expected to yield values between 0 and
+diff -Naur postgresql-8.4.0.orig/src/Makefile postgresql-8.4.0/src/Makefile
+--- postgresql-8.4.0.orig/src/Makefile	2009-02-24 11:06:32.000000000 +0100
++++ postgresql-8.4.0/src/Makefile	2009-07-09 21:18:20.000000000 +0200
+@@ -15,16 +15,11 @@
+ 
+ all install installdirs uninstall distprep:
+ 	$(MAKE) -C port $@
+-	$(MAKE) -C timezone $@
+ 	$(MAKE) -C backend $@
+-	$(MAKE) -C backend/utils/mb/conversion_procs $@
+-	$(MAKE) -C backend/snowball $@
+ 	$(MAKE) -C include $@
+ 	$(MAKE) -C interfaces $@
+ 	$(MAKE) -C bin $@
+-	$(MAKE) -C pl $@
+ 	$(MAKE) -C makefiles $@
+-	$(MAKE) -C test/regress $@
+ 
+ install: install-local
+ 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/files/postgresql-8.4-common.patch	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,69 @@
+=== configure.in
+==================================================================
+--- configure.in	2009-06-27 02:14:47.000000000 +0200
++++ configure.in	2009-07-09 15:05:02.000000000 +0200
+@@ -19,10 +19,6 @@
+ 
+ AC_INIT([PostgreSQL], [8.4.0], [pgsql-bugs@postgresql.org])
+ 
+-m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.61], [], [m4_fatal([Autoconf version 2.61 is required.
+-Untested combinations of 'autoconf' and PostgreSQL versions are not
+-recommended.  You can remove the check from 'configure.in' but it is then
+-your responsibility whether the result works or not.])])
+ AC_COPYRIGHT([Copyright (c) 1996-2009, PostgreSQL Global Development Group])
+ AC_CONFIG_SRCDIR([src/backend/access/common/heaptuple.c])
+ AC_CONFIG_AUX_DIR(config)
+=== src/include/storage/s_lock.h
+==================================================================
+--- src/include/storage/s_lock.h	2009-01-01 18:24:01.000000000 +0100
++++ src/include/storage/s_lock.h	2009-07-09 15:03:08.000000000 +0200
+@@ -298,6 +298,29 @@
+ 
+ #endif	 /* __s390__ || __s390x__ */
+ 
++#if defined(__sh__)
++#define HAS_TEST_AND_SET
++
++typedef unsigned char slock_t;
++
++#define TAS(lock) tas(lock)
++
++static __inline__ int
++tas(volatile slock_t *lock)
++{
++	register int _res = 1;
++
++	__asm__ __volatile__(
++		"tas.b	@%1\n\t"
++		"movt	%0\n\t"
++		"xor	#1,%0"
++:		"=z"(_res)
++:		"r"(lock)
++:		"t","memory");
++	return _res;
++}
++
++#endif	 /* __sh__ */
+ 
+ #if defined(__sparc__)		/* Sparc */
+ #define HAS_TEST_AND_SET
+=== src/makefiles/Makefile.darwin
+==================================================================
+--- src/makefiles/Makefile.darwin	2008-11-14 11:22:47.000000000 +0100
++++ src/makefiles/Makefile.darwin	2009-07-09 15:07:11.000000000 +0200
+@@ -5,7 +5,15 @@
+ CFLAGS_SL =
+ 
+ ifdef PGXS
++ifdef PGXS_IN_SERVER
++ifndef PGXS_WITH_SERVER
++BE_DLLLIBS= -bundle_loader $(top_builddir)/src/backend/postgres
++else
++BE_DLLLIBS= -bundle_loader ${PGXS_WITH_SERVER}
++endif
++else
+ BE_DLLLIBS= -bundle_loader $(bindir)/postgres
++endif
+ else
+ BE_DLLLIBS= -bundle_loader $(top_builddir)/src/backend/postgres
+ endif
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/metadata.xml	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>postgresql</herd>
+<use>
+  <flag name='pg-intdatetime'>Enable --enable-integer-datetimes configure
+  option, which changes PG to use 64-bit integers for timestamp storage</flag>
+</use>
+</pkgmetadata>
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/postgresql-base-8.4.0.ebuild	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,147 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-base/postgresql-base-8.3.7.ebuild,v 1.2 2009/05/03 11:53:53 armin76 Exp $
+
+EAPI="1"
+
+WANT_AUTOCONF="latest"
+WANT_AUTOMAKE="none"
+
+inherit eutils multilib toolchain-funcs versionator autotools
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+
+DESCRIPTION="PostgreSQL libraries and clients"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+IUSE_LINGUAS="
+	linguas_af linguas_cs linguas_de linguas_es linguas_fa linguas_fr
+	linguas_hr linguas_hu linguas_it linguas_ko linguas_nb linguas_pl
+	linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv
+	linguas_tr linguas_zh_CN linguas_zh_TW"
+IUSE="doc kerberos nls pam pg-intdatetime readline ssl threads zlib ldap ${IUSE_LINGUAS}"
+RESTRICT="test"
+
+wanted_languages() {
+	for u in ${IUSE_LINGUAS} ; do
+		use $u && echo -n "${u#linguas_} "
+	done
+}
+
+RDEPEND="kerberos? ( virtual/krb5 )
+	pam? ( virtual/pam )
+	readline? ( >=sys-libs/readline-4.1 )
+	ssl? ( >=dev-libs/openssl-0.9.6-r1 )
+	zlib? ( >=sys-libs/zlib-1.1.3 )
+	>=app-admin/eselect-postgresql-0.3
+	!dev-db/postgresql-libs
+	!dev-db/postgresql-client
+	!dev-db/libpq
+	!dev-db/postgresql
+	ldap? ( net-nds/openldap )"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	>=sys-devel/bison-1.875
+	nls? ( sys-devel/gettext )"
+PDEPEND="doc? ( dev-db/postgresql-docs:${SLOT} )"
+
+S="${WORKDIR}/postgresql-${PV}"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	epatch "${FILESDIR}/postgresql-${SLOT}-common.patch" \
+		"${FILESDIR}/postgresql-${SLOT}-base.patch"
+
+	# to avoid collision - it only should be installed by server
+	rm "${S}/src/backend/nls.mk"
+
+	# because psql/help.c includes the file
+	ln -s "${S}/src/include/libpq/pqsignal.h" "${S}/src/bin/psql/"
+
+	eautoconf
+}
+
+src_compile() {
+	econf --prefix=/usr/$(get_libdir)/postgresql-${SLOT} \
+		--datadir=/usr/share/postgresql-${SLOT} \
+		--sysconfdir=/etc/postgresql-${SLOT} \
+		--includedir=/usr/include/postgresql-${SLOT} \
+		--with-locale-dir=/usr/share/postgresql-${SLOT}/locale \
+		--mandir=/usr/share/postgresql-${SLOT}/man \
+		--without-docdir \
+		--enable-depend \
+		--without-tcl \
+		--without-perl \
+		--without-python \
+		$(use_with readline) \
+		$(use_with kerberos krb5) \
+		$(use_with kerberos gssapi) \
+		"$(use_enable nls nls "$(wanted_languages)")" \
+		$(use_with pam) \
+		$(use_enable pg-intdatetime integer-datetimes ) \
+		$(use_with ssl openssl) \
+		$(use_enable threads thread-safety) \
+		$(use_enable threads thread-safety-force) \
+		$(use_with zlib) \
+		$(use_with ldap) \
+		${myconf} \
+		|| die "configure failed"
+
+	emake LD="$(tc-getLD) $(get_abi_LDFLAGS)" || die "emake failed"
+
+	cd "${S}/contrib"
+	emake LD="$(tc-getLD) $(get_abi_LDFLAGS)" || die "emake failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	insinto /usr/include/postgresql-${SLOT}/postmaster
+	doins "${S}"/src/include/postmaster/*.h
+	dodir /usr/share/postgresql-${SLOT}/man/man1
+	tar -zxf "${S}/doc/man.tar.gz" -C "${D}"/usr/share/postgresql-${SLOT}/man man1/{ecpg,pg_config}.1
+
+	rm "${D}/usr/share/postgresql-${SLOT}/man/man1"/{initdb,ipcclean,pg_controldata,pg_ctl,pg_resetxlog,pg_restore,postgres,postmaster}.1
+	dodoc README HISTORY doc/{README.*,TODO,bug.template}
+
+	cd "${S}/contrib"
+	emake DESTDIR="${D}" install || die "emake install failed"
+	cd "${S}"
+
+	dodir /etc/eselect/postgresql/slots/${SLOT}
+
+	IDIR="/usr/include/postgresql-${SLOT}"
+	cat > "${D}/etc/eselect/postgresql/slots/${SLOT}/base" <<-__EOF__
+postgres_ebuilds="\${postgres_ebuilds} ${PF}"
+postgres_prefix=/usr/$(get_libdir)/postgresql-${SLOT}
+postgres_datadir=/usr/share/postgresql-${SLOT}
+postgres_bindir=/usr/$(get_libdir)/postgresql-${SLOT}/bin
+postgres_symlinks=(
+	${IDIR} /usr/include/postgresql
+	${IDIR}/libpq-fe.h /usr/include/libpq-fe.h
+	${IDIR}/libpq /usr/include/libpq
+	${IDIR}/postgres_ext.h /usr/include/postgres_ext.h
+)
+__EOF__
+
+	cat >"${T}/50postgresql-94-${SLOT}" <<-__EOF__
+		LDPATH=/usr/$(get_libdir)/postgresql-${SLOT}/$(get_libdir)
+		MANPATH=/usr/share/postgresql-${SLOT}/man
+	__EOF__
+	doenvd "${T}/50postgresql-94-${SLOT}"
+
+	keepdir /etc/postgresql-${SLOT}
+}
+
+pkg_postinst() {
+	eselect postgresql update
+	[[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
+	elog "If you need a global psqlrc-file, you can place it in '${ROOT}/etc/postgresql-${SLOT}/'."
+}
+
+pkg_postrm() {
+	eselect postgresql update
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-docs/Manifest	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,3 @@
+DIST postgresql-8.4.0.tar.bz2 13839282 RMD160 7b0a3b6d6c6c67479a1de2d8a3efb3a27e50fe2e SHA1 7a4776155049b8343f3b3b2e071002bb9db47f44 SHA256 84bf53b4a45db4fdf875bb03bf247f29dcb97f8bda42839b00b73671df05e007
+EBUILD postgresql-docs-8.4.0.ebuild 1067 RMD160 5688050adb542b08497f7a47ca1bf97ca23885c1 SHA1 3a5da084a13b8d72c885c3fad59405b56b58bbde SHA256 17466fbb6ee210220504d39f5446bb35847d84b1e780e79f9f692c7dbb6d909d
+MISC metadata.xml 164 RMD160 becfe652663bd65719dd11fa6ffb588b3d5b4ecc SHA1 f67b7ac1c5e6e65ef5a19a589d4759c84918f86c SHA256 7e8e8126bc8701c4a42c7dfed8bb755ac6040fe3d0e3f994d888f8b2b4fa7d8b
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-docs/metadata.xml	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>postgresql</herd>
+</pkgmetadata>
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-docs/postgresql-docs-8.4.0.ebuild	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,41 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-docs/postgresql-docs-8.3.7.ebuild,v 1.4 2009/06/05 22:49:22 beandog Exp $
+
+inherit versionator
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+
+# Nothing to test here per 232157
+RESTRICT="test"
+
+DESCRIPTION="PostgreSQL documentation"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+RESTRICT="test"
+
+S="${WORKDIR}/postgresql-${PV}"
+
+src_compile() {
+	:
+}
+
+src_install() {
+	dodir /usr/share/doc/${PF}/html
+	tar -zxf "${S}/doc/postgres.tar.gz" -C "${D}/usr/share/doc/${PF}/html"
+	cd "${S}/doc"
+	dodoc TODO
+	docinto FAQ_html
+	dodoc src/FAQ/*
+
+	dodir /etc/eselect/postgresql/slots/${SLOT}
+	{
+		echo "postgres_ebuilds=\"\${postgres_ebuilds} ${PF}\""
+	} >"${D}/etc/eselect/postgresql/slots/${SLOT}/docs"
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/Manifest	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,6 @@
+AUX postgresql-8.4-common.patch 2058 RMD160 14e61a791fb1deaa327f90d207526fabfa35c4de SHA1 315543042274e3802f429fefe83568e8801078f3 SHA256 03b613fcb816b455eb92708e8095b8a0685f4c6992f90288295e1c6193af70b4
+AUX postgresql-8.4-server.patch 7991 RMD160 a4358bd536e6f22a6ac4d395f397320b42951340 SHA1 a119d690b7ef349885c7a402a0bb2c72ffd7c2c9 SHA256 5b848fd214bf6cfa77946d4f73c5a03b1da684b626a538eaf8eeeb8d5e33a89d
+AUX postgresql.conf-8.4 1725 RMD160 31336d319b654ccaada3eae51ce09f2cafb37fc5 SHA1 c05de3c88e44ec9f71774c2c129f31013ca723d7 SHA256 0e1e9ffaf563f6d9f653575ec5938329644fc68aeb414d926d3b465872b40162
+AUX postgresql.init-8.4 3036 RMD160 dac1f3a59b80c05f0f80057d758a70a1dc6f4232 SHA1 6779f74194185005c0249b2079e3aca698748091 SHA256 2c47b023a6d1a17a3be9bfc6cb4c0453c91aac26d55becb563813280efc5a148
+DIST postgresql-8.4.0.tar.bz2 13839282 RMD160 7b0a3b6d6c6c67479a1de2d8a3efb3a27e50fe2e SHA1 7a4776155049b8343f3b3b2e071002bb9db47f44 SHA256 84bf53b4a45db4fdf875bb03bf247f29dcb97f8bda42839b00b73671df05e007
+EBUILD postgresql-server-8.4.0.ebuild 9662 RMD160 11262aaf1d4dc4bc7084afcab606c3fd44ae7cc7 SHA1 f1853ea002bd4b1880c27536129c2e64d3e8ff79 SHA256 19b23fd9086d4965861cc408b78e982889cf9750a03a60a6ae356f1e9e29c11a
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql-8.4-common.patch	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,69 @@
+=== configure.in
+==================================================================
+--- configure.in	2009-06-27 02:14:47.000000000 +0200
++++ configure.in	2009-07-09 15:05:02.000000000 +0200
+@@ -19,10 +19,6 @@
+ 
+ AC_INIT([PostgreSQL], [8.4.0], [pgsql-bugs@postgresql.org])
+ 
+-m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.61], [], [m4_fatal([Autoconf version 2.61 is required.
+-Untested combinations of 'autoconf' and PostgreSQL versions are not
+-recommended.  You can remove the check from 'configure.in' but it is then
+-your responsibility whether the result works or not.])])
+ AC_COPYRIGHT([Copyright (c) 1996-2009, PostgreSQL Global Development Group])
+ AC_CONFIG_SRCDIR([src/backend/access/common/heaptuple.c])
+ AC_CONFIG_AUX_DIR(config)
+=== src/include/storage/s_lock.h
+==================================================================
+--- src/include/storage/s_lock.h	2009-01-01 18:24:01.000000000 +0100
++++ src/include/storage/s_lock.h	2009-07-09 15:03:08.000000000 +0200
+@@ -298,6 +298,29 @@
+ 
+ #endif	 /* __s390__ || __s390x__ */
+ 
++#if defined(__sh__)
++#define HAS_TEST_AND_SET
++
++typedef unsigned char slock_t;
++
++#define TAS(lock) tas(lock)
++
++static __inline__ int
++tas(volatile slock_t *lock)
++{
++	register int _res = 1;
++
++	__asm__ __volatile__(
++		"tas.b	@%1\n\t"
++		"movt	%0\n\t"
++		"xor	#1,%0"
++:		"=z"(_res)
++:		"r"(lock)
++:		"t","memory");
++	return _res;
++}
++
++#endif	 /* __sh__ */
+ 
+ #if defined(__sparc__)		/* Sparc */
+ #define HAS_TEST_AND_SET
+=== src/makefiles/Makefile.darwin
+==================================================================
+--- src/makefiles/Makefile.darwin	2008-11-14 11:22:47.000000000 +0100
++++ src/makefiles/Makefile.darwin	2009-07-09 15:07:11.000000000 +0200
+@@ -5,7 +5,15 @@
+ CFLAGS_SL =
+ 
+ ifdef PGXS
++ifdef PGXS_IN_SERVER
++ifndef PGXS_WITH_SERVER
++BE_DLLLIBS= -bundle_loader $(top_builddir)/src/backend/postgres
++else
++BE_DLLLIBS= -bundle_loader ${PGXS_WITH_SERVER}
++endif
++else
+ BE_DLLLIBS= -bundle_loader $(bindir)/postgres
++endif
+ else
+ BE_DLLLIBS= -bundle_loader $(top_builddir)/src/backend/postgres
+ endif
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql-8.4-server.patch	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,215 @@
+diff -Naur postgresql-8.4.0.orig/contrib/adminpack/Makefile postgresql-8.4.0/contrib/adminpack/Makefile
+--- postgresql-8.4.0.orig/contrib/adminpack/Makefile	2007-11-11 00:59:50.000000000 +0100
++++ postgresql-8.4.0/contrib/adminpack/Makefile	2009-07-09 18:10:56.000000000 +0200
+@@ -1,7 +1,7 @@
+ # $PostgreSQL: pgsql/contrib/adminpack/Makefile,v 1.6 2007/11/10 23:59:50 momjian Exp $
+ 
+ MODULE_big = adminpack
+-PG_CPPFLAGS = -I$(libpq_srcdir)
++PG_CPPFLAGS = -I$(libpq_srcdir) -I../../src/include/
+ DATA_built = adminpack.sql
+ DATA = uninstall_adminpack.sql
+ OBJS = adminpack.o
+diff -Naur postgresql-8.4.0.orig/contrib/dblink/Makefile postgresql-8.4.0/contrib/dblink/Makefile
+--- postgresql-8.4.0.orig/contrib/dblink/Makefile	2007-11-11 00:59:50.000000000 +0100
++++ postgresql-8.4.0/contrib/dblink/Makefile	2009-07-09 22:22:02.000000000 +0200
+@@ -1,7 +1,7 @@
+ # $PostgreSQL: pgsql/contrib/dblink/Makefile,v 1.15 2007/11/10 23:59:50 momjian Exp $
+ 
+ MODULE_big = dblink
+-PG_CPPFLAGS = -I$(libpq_srcdir)
++PG_CPPFLAGS = -I$(libpq_srcdir) -I../../src/include/
+ OBJS	= dblink.o
+ SHLIB_LINK = $(libpq)
+ 
+diff -Naur postgresql-8.4.0.orig/contrib/Makefile postgresql-8.4.0/contrib/Makefile
+--- postgresql-8.4.0.orig/contrib/Makefile	2009-03-26 00:20:01.000000000 +0100
++++ postgresql-8.4.0/contrib/Makefile	2009-07-09 18:13:23.000000000 +0200
+@@ -23,23 +23,20 @@
+ 		isn		\
+ 		lo		\
+ 		ltree		\
+-		oid2name	\
+ 		pageinspect	\
+ 		pg_buffercache	\
+ 		pg_freespacemap \
+ 		pg_standby	\
+ 		pg_stat_statements \
+ 		pg_trgm		\
+-		pgbench		\
+ 		pgcrypto	\
+ 		pgrowlocks	\
+ 		pgstattuple	\
+ 		seg		\
+ 		spi		\
+ 		tablefunc	\
+-		test_parser	\
+ 		tsearch2	\
+-		vacuumlo
++		test_parser
+ 
+ ifeq ($(with_openssl),yes)
+ WANTED_DIRS += sslinfo
+diff -Naur postgresql-8.4.0.orig/contrib/uuid-ossp/Makefile postgresql-8.4.0/contrib/uuid-ossp/Makefile
+--- postgresql-8.4.0.orig/contrib/uuid-ossp/Makefile	2007-11-13 01:13:19.000000000 +0100
++++ postgresql-8.4.0/contrib/uuid-ossp/Makefile	2009-07-09 19:12:44.000000000 +0200
+@@ -1,11 +1,13 @@
+ # $PostgreSQL: pgsql/contrib/uuid-ossp/Makefile,v 1.4 2007/11/13 00:13:19 tgl Exp $
+ 
++PG_CPPFLAGS += "-DHAVE_OSSP_UUID_H"
++
+ MODULE_big = uuid-ossp
+ OBJS = uuid-ossp.o
+ DATA_built = uuid-ossp.sql
+ DATA = uninstall_uuid-ossp.sql
+ 
+-SHLIB_LINK += $(OSSP_UUID_LIBS)
++SHLIB_LINK += -lossp-uuid
+ 
+ ifdef USE_PGXS
+ PG_CONFIG = pg_config
+diff -Naur postgresql-8.4.0.orig/contrib/xml2/Makefile postgresql-8.4.0/contrib/xml2/Makefile
+--- postgresql-8.4.0.orig/contrib/xml2/Makefile	2008-05-08 18:49:37.000000000 +0200
++++ postgresql-8.4.0/contrib/xml2/Makefile	2009-07-09 19:14:32.000000000 +0200
+@@ -4,7 +4,8 @@
+ 
+ OBJS = $(if $(filter -lxslt, $(LIBS)), xpath.o xslt_proc.o, xpath.o)
+ 
+-SHLIB_LINK += $(filter -lxslt, $(LIBS)) $(filter -lxml2, $(LIBS))
++PG_CPPFLAGS = $(shell xml2-config --cflags)
++SHLIB_LINK += $(shell xml2-config --libs) $(shell xslt-config --libs)
+ 
+ DATA_built = pgxml.sql
+ DATA = uninstall_pgxml.sql
+diff -Naur postgresql-8.4.0.orig/GNUmakefile.in postgresql-8.4.0/GNUmakefile.in
+--- postgresql-8.4.0.orig/GNUmakefile.in	2009-01-15 02:53:49.000000000 +0100
++++ postgresql-8.4.0/GNUmakefile.in	2009-07-09 19:16:19.000000000 +0200
+@@ -11,19 +11,16 @@
+ all:
+ 	$(MAKE) -C doc all
+ 	$(MAKE) -C src all
+-	$(MAKE) -C config all
+ 	@echo "All of PostgreSQL successfully made. Ready to install."
+ 
+ install:
+ 	$(MAKE) -C doc $@
+ 	$(MAKE) -C src $@
+-	$(MAKE) -C config $@
+ 	@echo "PostgreSQL installation complete."
+ 
+ installdirs uninstall:
+ 	$(MAKE) -C doc $@
+ 	$(MAKE) -C src $@
+-	$(MAKE) -C config $@
+ 
+ distprep:
+ 	$(MAKE) -C doc $@
+diff -Naur postgresql-8.4.0.orig/src/bin/initdb/Makefile postgresql-8.4.0/src/bin/initdb/Makefile
+--- postgresql-8.4.0.orig/src/bin/initdb/Makefile	2009-01-01 18:23:53.000000000 +0100
++++ postgresql-8.4.0/src/bin/initdb/Makefile	2009-07-09 19:17:40.000000000 +0200
+@@ -14,7 +14,7 @@
+ top_builddir = ../../..
+ include $(top_builddir)/src/Makefile.global
+ 
+-override CPPFLAGS := -DFRONTEND -I$(libpq_srcdir) $(CPPFLAGS)
++override CPPFLAGS := -DFRONTEND -I$(top_srcdir)/src/interfaces/libpq $(CPPFLAGS)
+ 
+ OBJS=	initdb.o encnames.o pqsignal.o $(WIN32RES)
+ 
+diff -Naur postgresql-8.4.0.orig/src/bin/Makefile postgresql-8.4.0/src/bin/Makefile
+--- postgresql-8.4.0.orig/src/bin/Makefile	2009-01-01 18:23:53.000000000 +0100
++++ postgresql-8.4.0/src/bin/Makefile	2009-07-09 19:18:21.000000000 +0200
+@@ -13,8 +13,8 @@
+ top_builddir = ../..
+ include $(top_builddir)/src/Makefile.global
+ 
+-DIRS = initdb pg_ctl pg_dump \
+-	psql scripts pg_config pg_controldata pg_resetxlog
++DIRS = initdb pg_ctl \
++	pg_controldata pg_resetxlog
+ ifeq ($(PORTNAME), win32)
+ DIRS+=pgevent
+ endif
+diff -Naur postgresql-8.4.0.orig/src/include/pg_config_manual.h postgresql-8.4.0/src/include/pg_config_manual.h
+--- postgresql-8.4.0.orig/src/include/pg_config_manual.h	2009-06-11 16:49:08.000000000 +0200
++++ postgresql-8.4.0/src/include/pg_config_manual.h	2009-07-09 19:19:40.000000000 +0200
+@@ -146,7 +146,7 @@
+  * here's where to twiddle it.  You can also override this at runtime
+  * with the postmaster's -k switch.
+  */
+-#define DEFAULT_PGSOCKET_DIR  "/tmp"
++#define DEFAULT_PGSOCKET_DIR  "/var/run/postgresql"
+ 
+ /*
+  * The random() function is expected to yield values between 0 and
+diff -Naur postgresql-8.4.0.orig/src/Makefile postgresql-8.4.0/src/Makefile
+--- postgresql-8.4.0.orig/src/Makefile	2009-02-24 11:06:32.000000000 +0100
++++ postgresql-8.4.0/src/Makefile	2009-07-09 19:20:44.000000000 +0200
+@@ -19,14 +19,11 @@
+ 	$(MAKE) -C backend $@
+ 	$(MAKE) -C backend/utils/mb/conversion_procs $@
+ 	$(MAKE) -C backend/snowball $@
+-	$(MAKE) -C include $@
+-	$(MAKE) -C interfaces $@
+ 	$(MAKE) -C bin $@
+ 	$(MAKE) -C pl $@
+-	$(MAKE) -C makefiles $@
+ 	$(MAKE) -C test/regress $@
+ 
+-install: install-local
++install:
+ 
+ install-local: installdirs-local
+ 	$(INSTALL_DATA) Makefile.global '$(DESTDIR)$(pgxsdir)/$(subdir)/Makefile.global'
+diff -Naur postgresql-8.4.0.orig/src/Makefile.global.in postgresql-8.4.0/src/Makefile.global.in
+--- postgresql-8.4.0.orig/src/Makefile.global.in	2009-06-23 05:46:00.000000000 +0200
++++ postgresql-8.4.0/src/Makefile.global.in	2009-07-09 19:39:46.000000000 +0200
+@@ -397,10 +397,8 @@
+ 
+ 
+ submake-libpq:
+-	$(MAKE) -C $(libpq_builddir) all
+ 
+ submake-libpgport:
+-	$(MAKE) -C $(top_builddir)/src/port all
+ 
+ .PHONY: submake-libpq submake-libpgport
+ 
+@@ -443,6 +441,8 @@
+    LDFLAGS += $(PROFILE)
+ endif
+ 
++CFLAGS += -I${top_srcdir}/src/include
++
+ 
+ ##########################################################################
+ #
+diff -Naur postgresql-8.4.0.orig/src/port/Makefile postgresql-8.4.0/src/port/Makefile
+--- postgresql-8.4.0.orig/src/port/Makefile	2008-11-25 19:19:31.000000000 +0100
++++ postgresql-8.4.0/src/port/Makefile	2009-07-09 19:24:34.000000000 +0200
+@@ -39,11 +39,10 @@
+ # foo_srv.o and foo.o are both built from foo.c, but only foo.o has -DFRONTEND
+ OBJS_SRV = $(OBJS:%.o=%_srv.o)
+ 
+-all: libpgport.a libpgport_srv.a
++all: libpgport_srv.a
+ 
+ # libpgport is needed by some contrib
+-install: all installdirs
+-	$(INSTALL_STLIB) libpgport.a '$(DESTDIR)$(libdir)/libpgport.a'
++install:
+ 
+ installdirs:
+ 	$(mkinstalldirs) '$(DESTDIR)$(libdir)'
+diff -Naur postgresql-8.4.0.orig/src/test/regress/GNUmakefile postgresql-8.4.0/src/test/regress/GNUmakefile
+--- postgresql-8.4.0.orig/src/test/regress/GNUmakefile	2009-01-01 18:24:04.000000000 +0100
++++ postgresql-8.4.0/src/test/regress/GNUmakefile	2009-07-09 19:28:25.000000000 +0200
+@@ -141,7 +141,7 @@
+ pg_regress_call = ./pg_regress --inputdir=$(srcdir) --dlpath=. --multibyte=$(MULTIBYTE) --load-language=plpgsql $(NOLOCALE)
+ 
+ check: all
+-	$(pg_regress_call) --temp-install=./tmp_check --top-builddir=$(top_builddir) --schedule=$(srcdir)/parallel_schedule $(MAXCONNOPT) $(TEMP_CONF)
++	$(pg_regress_call) --temp-install=./tmp_check --top-builddir=$(top_builddir) --schedule=$(srcdir)/parallel_schedule $(MAXCONNOPT) $(TEMP_CONF) --psqldir=/usr/lib/postgresql-${SLOT}/bin/
+ 
+ installcheck: all
+ 	$(pg_regress_call) --psqldir=$(PSQLDIR) --schedule=$(srcdir)/serial_schedule
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql.conf-8.4	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,52 @@
+# PostgreSQL's Database Directory
+PGDATA="/var/lib/postgresql/8.4/data"
+
+# PostgreSQL User
+PGUSER="postgres"
+
+# PostgreSQL Group
+PGGROUP="postgres"
+
+# Extra options to run postmaster with, e.g.:
+# -N is the maximal number of client connections
+# -B is the number of shared buffers and has to be at least 2x the value for -N
+# Please read the man-page to postmaster for more options. Many of these options
+# can be set directly in the configuration-file.
+#PGOPTS="-N 512 -B 1024"
+
+
+# SERVER SHUTDOWN:
+# The server will receive 3 signals in the worst case:
+# 1. SIGTERM
+#  This signals the server to ignore new connections and to
+#  wait for all clients to end their transactions before shutting down.
+#  Use WAIT_FOR_DISCONNECT to control how much time the clients
+#  should have until the next signal is being sent.
+# 2. SIGINT
+#  Tell the server to forcefully disconnect all clients.
+#  Terminating a client results in a rollback of the open transactions for this client.
+#  Use WAIT_FOR_CLEANUP to determine how much time the server has
+#  for cleanup.
+# 3. SIGQUIT
+#  This will terminate the server immediately and results in a recovery run for the next start.
+
+# Wait for clients to disconnect
+WAIT_FOR_DISCONNECT=30
+
+# Time the server has to clean up
+WAIT_FOR_CLEANUP=60
+
+# Time the server has to quit (with a recover-run on next startup)
+# Set to 0 to deactivate it
+WAIT_FOR_QUIT=60
+
+# Comment this out if you don't want to wait for the server to
+# startup before continuing.  For example, if this server is a 
+# PITR log shipping based replication standby
+WAIT_FOR_START="-w"
+
+# If you have to export environment variables for the database process,
+# this can be done here.
+#
+# Example:
+#   export R_HOME="/usr/lib/R"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql.init-8.4	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,100 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/files/postgresql.init-8.4,v 1.4 2008/09/28 22:53:02 caleb Exp $
+
+opts="${opts} reload"
+
+depend() {
+	use net
+	if [ -L /etc/eselect/postgresql/service ] ; then 
+		local p_service="$(for f in /etc/eselect/postgresql/service/* ; do source $f ; done ; echo $postgres_service )"
+		test "${p_service}" = "${SVCNAME}" && provide postgresql
+	fi
+}
+
+checkconfig() {
+	if [ ! -d "$PGDATA" ] ; then
+		eerror "Directory not found: $PGDATA"
+		eerror "Please make sure that PGDATA points to the right path."
+		eerror "You can run 'emerge postgresql-server --config' to setup a new database cluster."
+		return 1
+	fi
+}
+
+start() {
+	checkconfig || return 1
+
+	ebegin "Starting PostgreSQL"
+
+	if [ -f "$PGDATA/postmaster.pid" ] ; then
+		rm -f "$PGDATA/postmaster.pid"
+	fi
+
+	local retval
+
+	su -l ${PGUSER} \
+		-c "env PGDATA=\"${PGDATA}\" /usr/lib/postgresql-8.4/bin/pg_ctl start ${WAIT_FOR_START} -o '--silent-mode=true ${PGOPTS}'"
+	retval=$?
+	[ $retval -ne 0 ] && eend $retval && return $retval
+
+	# The following is to catch the case of an already running server
+	# in which pg_ctl doesn't know to which server it connected to and false reports the server as 'up'
+	sleep 2
+	if [ ! -f "$PGDATA/postmaster.pid" ] ; then
+		eerror "The pid-file doesn't exist but pg_ctl reported a running server."
+		eerror "Please check whether there is another server running on the same port or read the log-file."
+		eend 1
+		return 1
+	fi
+
+	local pid=$(grep "^[0-9]\+" "$PGDATA/postmaster.pid")
+	ps -p "${pid}" &> /dev/null
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping PostgreSQL (this can take up to $(( ${WAIT_FOR_DISCONNECT} + ${WAIT_FOR_CLEANUP} )) seconds)"
+
+	local retval
+
+	su -l ${PGUSER} \
+		-c "env PGDATA=\"${PGDATA}\" /usr/lib/postgresql-8.4/bin/pg_ctl stop -t ${WAIT_FOR_DISCONNECT} -m smart"
+
+	retval=$?
+	[ $retval -eq 0 ] && eend $retval && return $retval
+
+	ewarn "Some clients did not disconnect within ${WAIT_FOR_DISCONNECT} seconds."
+	ewarn "Going to shutdown the server anyway."
+
+	su -l ${PGUSER} \
+		-c "env PGDATA=\"${PGDATA}\" /usr/lib/postgresql-8.4/bin/pg_ctl stop -m fast"
+
+	retval=$?
+	[ $retval -eq 0 ] && eend $retval && return $retval
+
+	if [ ${WAIT_FOR_QUIT} -eq 0 ] ; then
+		eerror "Server did not shut down and sending the SIGQUIT has been disabled."
+		eend $retval
+		return $retval
+	fi
+
+	ewarn "Shutting down the server gracefully failed."
+	ewarn "Forcing it to shutdown which leads to a recover-run on next startup."
+
+	su -l ${PGUSER} \
+		-c "env PGDATA=\"${PGDATA}\" /usr/lib/postgresql-8.4/bin/pg_ctl stop -m immediate"
+
+	retval=$?
+	[ $retval -eq 0 ] && eend $retval && return $retval
+
+	eerror "Forced shutdown failed!!! Something is wrong with your system, please take care of it manually."
+	eend $?
+}
+
+reload() {
+	ebegin "Reloading PostgreSQL configuration"
+	su -l ${PGUSER} \
+		-c "env PGDATA=\"${PGDATA}\" /usr/lib/postgresql-8.4/bin/pg_ctl reload"	
+	eend $?
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/postgresql-server-8.4.0.ebuild	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,249 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/postgresql-server-8.3.7.ebuild,v 1.1 2009/04/09 22:36:34 caleb Exp $
+
+EAPI="1"
+
+WANT_AUTOCONF="latest"
+WANT_AUTOMAKE="none"
+inherit eutils multilib toolchain-funcs versionator autotools
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+
+DESCRIPTION="PostgreSQL server"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+IUSE_LINGUAS="
+	linguas_af linguas_cs linguas_de linguas_es linguas_fa linguas_fr
+	linguas_hr linguas_hu linguas_it linguas_ko linguas_nb linguas_pl
+	linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv
+	linguas_tr linguas_zh_CN linguas_zh_TW"
+IUSE="doc perl python selinux tcl uuid xml nls kernel_linux ${IUSE_LINGUAS}"
+
+wanted_languages() {
+	for u in ${IUSE_LINGUAS} ; do
+		use $u && echo -n "${u#linguas_} "
+	done
+}
+
+RDEPEND="~dev-db/postgresql-base-${PV}:${SLOT}
+	perl? ( >=dev-lang/perl-5.6.1-r2 )
+	python? ( >=dev-lang/python-2.2 dev-python/egenix-mx-base )
+	selinux? ( sec-policy/selinux-postgresql )
+	tcl? ( >=dev-lang/tcl-8 )
+	uuid? ( dev-libs/ossp-uuid )
+	xml? ( dev-libs/libxml2 dev-libs/libxslt )"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	xml? ( dev-util/pkgconfig )"
+PDEPEND="doc? ( dev-db/postgresql-docs:${SLOT} )"
+
+S="${WORKDIR}/postgresql-${PV}"
+
+pkg_setup() {
+	enewgroup postgres 70
+	enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
+}
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	epatch "${FILESDIR}/postgresql-${SLOT}-common.patch" \
+		"${FILESDIR}/postgresql-${SLOT}-server.patch"
+
+	if hasq test ${FEATURES}; then
+		sed -e "s|/no/such/location|${S}/src/test/regress/tmp_check/no/such/location|g" -i src/test/regress/{input,output}/tablespace.source
+	else
+		echo "all install:" > "${S}/src/test/regress/GNUmakefile"
+	fi
+
+	eautoconf
+}
+
+src_compile() {
+	# TODO: test if PPC really cannot work with other CFLAGS settings
+	# use ppc && CFLAGS="-pipe -fsigned-char"
+
+	# eval is needed to get along with pg_config quotation of space-rich entities.
+	eval econf "$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --configure)" \
+		--disable-thread-safety \
+		$(use_with perl) \
+		$(use_with python) \
+		$(use_with tcl) \
+		$(use_with xml libxml) \
+		$(use_with xml libxslt) \
+		$(use_with uuid ossp-uuid) \
+		--with-system-tzdata="/usr/share/zoneinfo" \
+		--with-includes="/usr/include/postgresql-${SLOT}/" \
+		"$(built_with_use ~dev-db/postgresql-base-${PV} nls && use_enable nls nls "$(wanted_languages)")" \
+		|| die "configure failed"
+
+	for bd in . contrib $(use xml && echo contrib/xml2); do
+		PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+			emake -C $bd -j1 LD="$(tc-getLD) $(get_abi_LDFLAGS)" \
+				PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
+				PGXS_IN_SERVER=1 PGXS_WITH_SERVER="${S}/src/backend/postgres" \
+				NO_PGXS=0 USE_PGXS=1 docdir=/usr/share/doc/${PF} || die "emake in $bd failed"
+	done
+}
+
+src_install() {
+	if use perl ; then
+		mv -f "${S}/src/pl/plperl/GNUmakefile" "${S}/src/pl/plperl/GNUmakefile_orig"
+		sed -e "s:\$(DESTDIR)\$(plperl_installdir):\$(plperl_installdir):" \
+			"${S}/src/pl/plperl/GNUmakefile_orig" > "${S}/src/pl/plperl/GNUmakefile"
+	fi
+
+	for bd in . contrib $(use xml && echo contrib/xml2) ; do
+		PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+			emake install -C $bd -j1 DESTDIR="${D}" \
+				PGXS_IN_SERVER=1 PGXS_WITH_SERVER="${S}/src/backend/postgres" \
+				PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
+				NO_PGXS=0 USE_PGXS=1 docdir=/usr/share/doc/${PF} || die "emake install in $bd failed"
+	done
+
+	rm -rf "${D}/usr/share/postgresql-${SLOT}/man/man7/" "${D}/usr/share/doc/${PF}/html"
+	rm "${D}"/usr/share/postgresql-${SLOT}/man/man1/{clusterdb,create{db,lang,user},drop{db,lang,user},ecpg,pg_{config,dump,dumpall,restore},psql,reindexdb,vacuumdb}.1
+
+	dodoc README HISTORY doc/{README.*,TODO,bug.template}
+
+	dodir /etc/eselect/postgresql/slots/${SLOT}
+	cat >"${D}/etc/eselect/postgresql/slots/${SLOT}/service" <<-__EOF__
+		postgres_ebuilds="\${postgres_ebuilds} ${PF}"
+		postgres_service="postgresql-${SLOT}"
+	__EOF__
+
+	newinitd "${FILESDIR}/postgresql.init-${SLOT}" postgresql-${SLOT} || die "Inserting init.d-file failed"
+	newconfd "${FILESDIR}/postgresql.conf-${SLOT}" postgresql-${SLOT} || die "Inserting conf.d-file failed"
+
+	keepdir /var/run/postgresql
+	fperms 0770 /var/run/postgresql
+	fowners postgres:postgres /var/run/postgresql
+}
+
+pkg_postinst() {
+	eselect postgresql update
+	[[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
+	[[ "$(eselect postgresql show-service)" = "(none)" ]] && eselect postgresql set-service ${SLOT}
+
+	ewarn "Please note that the standard location of the socket has changed from /tmp"
+	ewarn "to /var/run/postgresql and you have to be in the 'postgres' group to access"
+	ewarn "the socket."
+	ewarn "This can break applications which have the standard location hard-coded."
+	ewarn "If such an application links against the libpq, please re-emerge it,"
+	ewarn "if that doesn't help or the application accesses the socket without using libpq,"
+	ewarn "please file a bug-report."
+	ewarn "You can set PGOPTS='-k /tmp' in /etc/conf.d/postgresql-${SLOT} to restore the original location."
+
+	elog "Execute the following command to setup the initial database environment:"
+	elog
+	elog "emerge --config =${CATEGORY}/${PF}"
+	elog
+	elog "The autovacuum function, which was in contrib, has been moved to the main"
+	elog "PostgreSQL functions starting with 8.1."
+	elog "You can enable it in the clusters postgresql.conf."
+}
+
+pkg_postrm() {
+	eselect postgresql update
+}
+
+pkg_config() {
+	[[ -z "${PGDATA}" ]] && PGDATA="/var/lib/postgresql/${SLOT}/data"
+
+	einfo "You can pass options to initdb by setting the PG_INITDB_OPTS variable."
+	einfo "More information can be found here:"
+	einfo "    http://www.postgresql.org/docs/${SLOT}/static/creating-cluster.html"
+	einfo "    http://www.postgresql.org/docs/${SLOT}/static/app-initdb.html"
+	einfo "Simply add the options you would have added to initdb to the PG_INITDB_OPTS variable."
+	einfo
+	einfo "You can change the directory where the database cluster is being created by setting"
+	einfo "the PGDATA variable."
+	einfo
+	einfo "PG_INITDB_OPTS is currently set to:"
+	einfo "    \"${PG_INITDB_OPTS}\""
+	einfo "and the database cluster will be created in:"
+	einfo "    \"${PGDATA}\""
+	einfo "Are you ready to continue? (Y/n)"
+	read answer
+	[ -z $answer ] && answer=Y
+	[ "$answer" == "Y" ] || [ "$answer" == "y" ] || die "aborted"
+
+	if [[ -f "${PGDATA}/PG_VERSION" ]] ; then
+		eerror "The given directory \"${PGDATA}\" already contains a database cluster."
+		die "cluster already exists"
+	fi
+
+	[ -z "${PG_MAX_CONNECTIONS}" ] && PG_MAX_CONNECTIONS="128"
+	einfo "Checking system parameters..."
+
+	if ! use kernel_linux ; then
+		SKIP_SYSTEM_TESTS=yes
+		einfo "  Tests not supported on this OS (yet)"
+	fi
+
+	if [ -z ${SKIP_SYSTEM_TESTS} ] ; then
+		einfo "Checking whether your system supports at least ${PG_MAX_CONNECTIONS} connections..."
+
+		local SEMMSL=$(sysctl -n kernel.sem | cut -f1)
+		local SEMMNS=$(sysctl -n kernel.sem | cut -f2)
+		local SEMMNI=$(sysctl -n kernel.sem | cut -f4)
+		local SHMMAX=$(sysctl -n kernel.shmmax)
+
+		local SEMMSL_MIN=17
+		local SEMMNS_MIN=$(( ( ${PG_MAX_CONNECTIONS}/16 ) * 17 ))
+		local SEMMNI_MIN=$(( ( ${PG_MAX_CONNECTIONS}+15 ) / 16 ))
+		local SHMMAX_MIN=$(( 500000 + ( 30600 * ${PG_MAX_CONNECTIONS} ) ))
+
+		for p in SEMMSL SEMMNS SEMMNI SHMMAX ; do
+			if [ $(eval echo \$$p) -lt $(eval echo \$${p}_MIN) ] ; then
+				eerror "The value for ${p} $(eval echo \$$p) is below the recommended value $(eval echo \$${p}_MIN)"
+				eerror "You have now several options:"
+				eerror "  - Change the mentioned system parameter"
+				eerror "  - Lower the number of max.connections by setting PG_MAX_CONNECTIONS to a value lower than ${PG_MAX_CONNECTIONS}"
+				eerror "  - Set SKIP_SYSTEM_TESTS in case you want to ignore this test completely"
+				eerror "More information can be found here:"
+				eerror "  http://www.postgresql.org/docs/${SLOT}/static/kernel-resources.html"
+				die "system test failed"
+			fi
+		done
+		einfo "Passed."
+	else
+		einfo "Skipped."
+	fi
+
+	einfo "Creating the data directory ..."
+	mkdir -p "${PGDATA}"
+	chown -Rf postgres:postgres "${PGDATA}"
+	chmod 0700 "${PGDATA}"
+
+	einfo "Initializing the database ..."
+
+	su postgres -c "/usr/$(get_libdir)/postgresql-${SLOT}/bin/initdb --pgdata \"${PGDATA}\" ${PG_INITDB_OPTS}"
+
+	einfo
+	einfo "You can use the '${ROOT}/etc/init.d/postgresql-${SLOT}' script to run PostgreSQL instead of 'pg_ctl'."
+	einfo
+
+	if [ "${PGDATA}" != "/var/lib/postgresql/${SLOT}/data" ] ; then
+		ewarn "You didn't install the database cluster in the standard location, please make sure that you set"
+		ewarn "PGDATA=\"${PGDATA}\" in the appropriate conf.d file (probably /etc/conf.d/postgresql-${SLOT})"
+	fi
+}
+
+src_test() {
+	einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
+	PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+		emake -j1 check \
+			PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
+			NO_PGXS=0 USE_PGXS=1 SLOT=${SLOT} || die "Make check failed. See above for details."
+
+	einfo "Yes, there are other tests which could be run."
+	einfo "... and no, we don't plan to add/support them."
+	einfo "For now, the main regressions tests will suffice."
+	einfo "If you think other tests are necessary, please submit a"
+	einfo "bug including a patch for this ebuild to enable them."
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/virtual/postgresql-base/Manifest	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,2 @@
+EBUILD postgresql-base-8.4.ebuild 551 RMD160 84bff8adca5eabdad72f69d06a6f5339e388a398 SHA1 cc54778a2d4923c5291ddaf31be363a2b095cb29 SHA256 d2649b8bf042b8cacdcab4748fe6dfe52380cf795b8fda28b04987fc71dfad8d
+MISC metadata.xml 164 RMD160 becfe652663bd65719dd11fa6ffb588b3d5b4ecc SHA1 f67b7ac1c5e6e65ef5a19a589d4759c84918f86c SHA256 7e8e8126bc8701c4a42c7dfed8bb755ac6040fe3d0e3f994d888f8b2b4fa7d8b
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/virtual/postgresql-base/metadata.xml	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>postgresql</herd>
+</pkgmetadata>
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/virtual/postgresql-base/postgresql-base-8.4.ebuild	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,16 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/virtual/postgresql-base/postgresql-base-8.3.ebuild,v 1.3 2009/05/03 11:55:40 armin76 Exp $
+
+EAPI="1"
+
+DESCRIPTION="Virtual for PostgreSQL base (clients + libraries)"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI=""
+
+LICENSE="as-is"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="|| ( =dev-db/libpq-${PV}* dev-db/postgresql-base:${SLOT} )"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/virtual/postgresql-server/Manifest	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,2 @@
+EBUILD postgresql-server-8.4.ebuild 540 RMD160 73f13a3a927bf285f197dc66f6c6434adff23ef8 SHA1 b6a4cf82a520cf9ffe4de26094a2fc66da8fc9bc SHA256 9799e24f6530b49356a31f15fac2d34b2f62dba8ad733d393af436efb9eff80e
+MISC metadata.xml 164 RMD160 becfe652663bd65719dd11fa6ffb588b3d5b4ecc SHA1 f67b7ac1c5e6e65ef5a19a589d4759c84918f86c SHA256 7e8e8126bc8701c4a42c7dfed8bb755ac6040fe3d0e3f994d888f8b2b4fa7d8b
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/virtual/postgresql-server/metadata.xml	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>postgresql</herd>
+</pkgmetadata>
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/virtual/postgresql-server/postgresql-server-8.4.ebuild	Fri Jul 10 18:34:34 2009 +0200
@@ -0,0 +1,16 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/virtual/postgresql-server/postgresql-server-8.3.ebuild,v 1.2 2008/05/19 07:13:12 dev-zero Exp $
+
+EAPI="1"
+
+DESCRIPTION="Virtual for PostgreSQL libraries"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI=""
+
+LICENSE="as-is"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="|| ( =dev-db/postgresql-${PV}* dev-db/postgresql-server:${SLOT} )"